return DMod:new("DOOM Viewmodel", {
    abbr = "DM",
	version = "2.0",
	author = "Marcus",
	description = {english = "Just grab a BFG and let it flow. But for real now, it changes the viewmodel of all guns so that it looks like it's DOOM."},
    hooks = {
    {
    "lib/tweak_data/playertweakdata", function(module)
    local PlayerTweakData = module:hook_class("PlayerTweakData")
    module:post_hook(PlayerTweakData, "init", function(self)
	self.stances.default.standard.head.translation = Vector3(0, 0, 145) 
	self.stances.default.standard.head.rotation = Rotation()
	self.stances.default.standard.shakers = {}
	self.stances.default.standard.shakers.breathing = {}
	self.stances.default.standard.shakers.breathing.amplitude = 0	
	self.stances.default.crouched.shakers = {}
	self.stances.default.crouched.shakers.breathing = {}
	self.stances.default.crouched.shakers.breathing.amplitude = 0 
	self.stances.default.steelsight.shakers = {}
	self.stances.default.steelsight.shakers.breathing = {}
	self.stances.default.steelsight.shakers.breathing.amplitude = 0 
	local pivot_head_translation = Vector3(-0, 16, -8.5) 
	local pivot_head_rotation = Rotation(0, 0, 0)
	local pivot_shoulder_translation = Vector3(8.40486, 33.2872, -0.76365)
	local pivot_shoulder_rotation = Rotation(0.151694, 0.644497, -1.1892)
	self.stances.default.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.default.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.default.standard.vel_overshot.yaw_neg = 12
	self.stances.default.standard.vel_overshot.yaw_pos = -12
	self.stances.default.standard.vel_overshot.pitch_neg = -10
	self.stances.default.standard.vel_overshot.pitch_pos = 10
	self.stances.default.standard.vel_overshot.pivot = Vector3(20, 50, 0)
	self.stances.default.standard.FOV = 75
	self.stances.default.crouched.head.translation = Vector3(0, 0, 75)
	self.stances.default.crouched.head.rotation = Rotation()
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.default.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.default.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.default.crouched.vel_overshot.yaw_neg = 12
	self.stances.default.crouched.vel_overshot.yaw_pos = -12
	self.stances.default.crouched.vel_overshot.pitch_neg = -10
	self.stances.default.crouched.vel_overshot.pitch_pos = 10
	self.stances.default.crouched.vel_overshot.pivot = Vector3(20, 50, 0)
	self.stances.default.crouched.FOV = self.stances.default.standard.FOV
	local pivot_head_translation = Vector3(-0, 16, 0.15)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.default.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.default.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.default.steelsight.vel_overshot.yaw_neg = 4
	self.stances.default.steelsight.vel_overshot.yaw_pos = -4
	self.stances.default.steelsight.vel_overshot.pitch_neg = -2
	self.stances.default.steelsight.vel_overshot.pitch_pos = 2
	self.stances.default.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.default.steelsight.zoom_fov = true
	self.stances.m4 = deep_clone(self.stances.default)
	self.stances.m4.steelsight.vel_overshot.yaw_neg = 12
	self.stances.m4.steelsight.vel_overshot.yaw_pos = -12
	self.stances.m4.steelsight.vel_overshot.pitch_neg = -12
	self.stances.m4.steelsight.vel_overshot.pitch_pos = 12
	self.stances.mp5 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(10.4541, 35.4915, -2.955)		
	local pivot_shoulder_rotation = Rotation(-0.286163, 0.214701, 0.878467)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp5.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp5.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp5.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 10, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp5.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp5.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp5.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.mp5.steelsight.vel_overshot.yaw_neg = 10
	self.stances.mp5.steelsight.vel_overshot.yaw_pos = -10
	self.stances.mp5.steelsight.vel_overshot.pitch_neg = -10
	self.stances.mp5.steelsight.vel_overshot.pitch_pos = 10
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mp5.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mp5.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mp5.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.mac11 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(7.48993, 40.865, -1.38648)
	local pivot_shoulder_rotation = Rotation(-0.752184, -0.37808, 2.04525)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mac11.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mac11.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mac11.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(-0, 16, -0.2)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mac11.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mac11.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mac11.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.mac11.steelsight.vel_overshot.yaw_neg = 10
	self.stances.mac11.steelsight.vel_overshot.yaw_pos = -10
	self.stances.mac11.steelsight.vel_overshot.pitch_neg = -10
	self.stances.mac11.steelsight.vel_overshot.pitch_pos = 10
	local pivot_head_translation = Vector3(0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mac11.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mac11.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mac11.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.r870_shotgun = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.08536, 37.3747, -3.28995)
	local pivot_shoulder_rotation = Rotation(-0.835943, 0.75668, -0.12396)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r870_shotgun.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r870_shotgun.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r870_shotgun.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(-0, 16, -5) --0 16 0 for upper aim
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r870_shotgun.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r870_shotgun.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r870_shotgun.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.r870_shotgun.steelsight.vel_overshot.yaw_neg = 12
	self.stances.r870_shotgun.steelsight.vel_overshot.yaw_pos = -12
	self.stances.r870_shotgun.steelsight.vel_overshot.pitch_neg = -12
	self.stances.r870_shotgun.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.r870_shotgun.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.r870_shotgun.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.r870_shotgun.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.mossberg = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.08536, 37.3747, -3.28995)
	local pivot_shoulder_rotation = Rotation(-0.835943, 0.75668, -0.12396)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mossberg.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mossberg.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mossberg.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 20, -5) --0 20 0 for upper aim
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mossberg.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mossberg.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mossberg.steelsight.vel_overshot.pivot = pivot_shoulder_translation + Vector3(0, -15, 0)
	self.stances.mossberg.steelsight.vel_overshot.yaw_neg = 12
	self.stances.mossberg.steelsight.vel_overshot.yaw_pos = -12
	self.stances.mossberg.steelsight.vel_overshot.pitch_neg = -12
	self.stances.mossberg.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.mossberg.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.mossberg.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.mossberg.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.beretta92 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.27388, 54.885, -1.42176)
	local pivot_shoulder_rotation = Rotation(-0.838946, 0.825787, -4.85158)
	local pivot_head_translation = Vector3(-0, 22, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.beretta92.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.beretta92.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.beretta92.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 22, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.beretta92.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.beretta92.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.beretta92.steelsight.zoom_fov = false
	self.stances.beretta92.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.beretta92.steelsight.vel_overshot.yaw_neg = 12
	self.stances.beretta92.steelsight.vel_overshot.yaw_pos = -12
	self.stances.beretta92.steelsight.vel_overshot.pitch_neg = -12
	self.stances.beretta92.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 22, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.beretta92.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.beretta92.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.beretta92.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.c45 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.59479, 54.7405, -0.624365)
	local pivot_shoulder_rotation = Rotation(-0.807596, 1.47504, -1.76123)
	local pivot_head_translation = Vector3(-0, 22, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.c45.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.c45.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.c45.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 27, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.c45.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.c45.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.c45.steelsight.zoom_fov = false
	self.stances.c45.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.c45.steelsight.vel_overshot.yaw_neg = 12
	self.stances.c45.steelsight.vel_overshot.yaw_pos = -12
	self.stances.c45.steelsight.vel_overshot.pitch_neg = -12
	self.stances.c45.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 22, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.c45.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.c45.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.c45.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.raging_bull = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(9.36965, 58.7379, -1.8196)
	local pivot_shoulder_rotation = Rotation(-1.71169, 7.28827E-4, 8.77357E-5)
	local pivot_head_translation = Vector3(-0, 28, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.raging_bull.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.raging_bull.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.raging_bull.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 28, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.raging_bull.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.raging_bull.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.raging_bull.steelsight.zoom_fov = false
	self.stances.raging_bull.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.raging_bull.steelsight.vel_overshot.yaw_neg = 12
	self.stances.raging_bull.steelsight.vel_overshot.yaw_pos = -12
	self.stances.raging_bull.steelsight.vel_overshot.pitch_neg = -12
	self.stances.raging_bull.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 28, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.raging_bull.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.raging_bull.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.raging_bull.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.m14 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.40396, 33.2866, -0.763476)
	local pivot_shoulder_rotation = Rotation(0.151441, 0.645593, -1.19106)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m14.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m14.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m14.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 7, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m14.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m14.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m14.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.m14.steelsight.vel_overshot.yaw_neg = 12
	self.stances.m14.steelsight.vel_overshot.yaw_pos = -12
	self.stances.m14.steelsight.vel_overshot.pitch_neg = -12
	self.stances.m14.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m14.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m14.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m14.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.hk21 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(17.7884, 25.4958, -5.87593)
	local pivot_shoulder_rotation = Rotation(-15.9596, -1.5637, -1.19957)
	local pivot_head_translation = Vector3(-0, 13, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hk21.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 7, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hk21.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.hk21.steelsight.vel_overshot.yaw_neg = 18
	self.stances.hk21.steelsight.vel_overshot.yaw_pos = -18
	self.stances.hk21.steelsight.vel_overshot.pitch_neg = -16
	self.stances.hk21.steelsight.vel_overshot.pitch_pos = 16
	local pivot_head_translation = Vector3(-0, 13, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.hk21.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.hk21.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.hk21.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.m79 = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.58595, 40.5661, -2.41104)
	local pivot_shoulder_rotation = Rotation(0.143334, 1.04565, -1.1923)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m79.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m79.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m79.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 7, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m79.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m79.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m79.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.m79.steelsight.vel_overshot.yaw_neg = 12
	self.stances.m79.steelsight.vel_overshot.yaw_pos = -12
	self.stances.m79.steelsight.vel_overshot.pitch_neg = -12
	self.stances.m79.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.m79.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.m79.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.m79.crouched.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.ak47 = deep_clone(self.stances.default)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	local pivot_shoulder_translation = Vector3(8.61463, 33.4594, -3.75638)
	local pivot_shoulder_rotation = Rotation(0.15141, 0.645553, -1.19108)
	self.stances.ak47.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak47.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak47.standard.vel_overshot.pivot = Vector3(0, 50, 0)
	self.stances.ak47.crouched.head.translation = Vector3(0, 0, 75)
	self.stances.ak47.crouched.head.rotation = Rotation()
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ak47.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak47.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	local pivot_head_translation = Vector3(0, 1, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.ak47.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.ak47.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.ak47.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.glock = deep_clone(self.stances.default)
	local pivot_shoulder_translation = Vector3(8.73016, 54.6357, -2.2865)
	local pivot_shoulder_rotation = Rotation(-0.807598, 1.47537, -1.76124)
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock.standard.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock.standard.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock.standard.vel_overshot.pivot = pivot_shoulder_translation
	local pivot_head_translation = Vector3(0, 30, 0)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock.steelsight.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock.steelsight.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock.steelsight.FOV = self.stances.beretta92.standard.FOV
	self.stances.glock.steelsight.vel_overshot.pivot = pivot_shoulder_translation
	self.stances.glock.steelsight.vel_overshot.yaw_neg = 12
	self.stances.glock.steelsight.vel_overshot.yaw_pos = -12
	self.stances.glock.steelsight.vel_overshot.pitch_neg = -12
	self.stances.glock.steelsight.vel_overshot.pitch_pos = 12
	local pivot_head_translation = Vector3(-0, 16, -8.5)
	local pivot_head_rotation = Rotation(0, 0, 0)
	self.stances.glock.crouched.shoulders.translation = pivot_head_translation - pivot_shoulder_translation:rotate_with(pivot_shoulder_rotation:inverse()):rotate_with(pivot_head_rotation)
	self.stances.glock.crouched.shoulders.rotation = pivot_head_rotation * pivot_shoulder_rotation:inverse()
	self.stances.glock.crouched.vel_overshot.pivot = pivot_shoulder_translation
    end, false)
    end
    }
    }
})